Convert triggers to noawait

Bug #1780996 reported by Julian Andres Klode on 2018-07-10
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
appstream (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
bumblebee (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
clutter-imcontext (Ubuntu)
Undecided
Julian Andres Klode
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
django-countries (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
dochelp (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
dovecot (Ubuntu)
Undecided
Mathieu Trudel-Lapierre
Xenial
Undecided
Mathieu Trudel-Lapierre
Bionic
Undecided
Unassigned
fusiondirectory (Ubuntu)
Undecided
Mathieu Trudel-Lapierre
Xenial
Undecided
Mathieu Trudel-Lapierre
Bionic
Undecided
Unassigned
gdk-pixbuf (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
glib2.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
gosa (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
guile-2.0 (Ubuntu)
Undecided
Julian Andres Klode
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
guile-2.2 (Ubuntu)
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
hicolor-icon-theme (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
libomxil-bellagio (Ubuntu)
Undecided
Julian Andres Klode
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
libreoffice (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Olivier Tilloy
Bionic
Undecided
Unassigned
ltsp (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
mate-icon-theme (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
maxima (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
neurodebian (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
nevow (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
octave (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Brian Murray
Bionic
Undecided
Unassigned
packagekit (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
pike7.8 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
pike8.0 (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
postgresql-common (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
qgis (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
reconf-inetd (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
shared-mime-info (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Julian Andres Klode
Bionic
Undecided
Unassigned
sphinx (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Brian Murray
Bionic
Undecided
Unassigned
syslog-ng-incubator (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
tex-common (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Brian Murray
Bionic
Undecided
Unassigned
wokkel (Ubuntu)
Undecided
Brian Murray
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
xpdf (Ubuntu)
Undecided
Unassigned
Xenial
Medium
Brian Murray
Bionic
Undecided
Unassigned
yorick (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Brian Murray
Bionic
Undecided
Unassigned

Bug Description

This is a bug collecting all remaining packages that need to be converted to noawait in xenial or bionic.

[Impact]
"await" triggers are run before a package is configured. If B activates A, then A's trigger code in the postinst must be run before A can be configured.

Triggers do not specify a ordering dependency however, so apt can very well have A in a state where it is not configurable, and installing B then fails. This is a limitation of triggers: They are not exposed in Packages files, so we don't see them.

What this means is that packages with await triggers either need to have all triggering packages depend on them (e.g. B Depends A), or they need to be moved to noawait.

This bug is about moving triggers to be noawait, by changing "activate" to "activate-noawait" and/or "interest" to "interest-noawait". If it turns out the trigger should be "await", we should explictly use the "interest-await" and "activate-await" variants in cosmic too.

[Test case]
There is no test case.

[Regression potential]
Packages triggering other packages are now configured even without the package being triggered being fully configured (they will be in the triggers-pending state).

In most cases, this is not a problem. However, packages should be usable when configured, so for example, a package installing a gsettings schema would need to depend on the appropriate gsettings stuff and keep triggering it via await, as it would crash otherwise despite being configured.

Changed in appstream (Ubuntu):
status: New → Fix Released
Changed in appstream (Ubuntu Xenial):
status: New → Triaged
Changed in appstream (Ubuntu Bionic):
status: New → Fix Released
Changed in libreoffice (Ubuntu Xenial):
status: New → Triaged
Changed in libreoffice (Ubuntu Bionic):
status: New → Fix Released
Changed in libreoffice (Ubuntu):
status: New → Fix Released
Julian Andres Klode (juliank) wrote :

Missing in this bug:

kubuntu-settings
ubuntu-gnome-defaults/xenial
ubuntu-mate-artwork/xenial

these are tracked in bug 1750465.

description: updated
Changed in xpdf (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in xpdf (Ubuntu):
status: New → Fix Released
Changed in xpdf (Ubuntu Bionic):
status: New → Fix Released
Changed in appstream (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
Changed in appstream (Ubuntu Xenial):
status: Triaged → In Progress
Changed in glib2.0 (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
Changed in glib2.0 (Ubuntu Bionic):
status: New → Fix Released
Changed in glib2.0 (Ubuntu):
status: New → Fix Released
Changed in glib2.0 (Ubuntu Xenial):
status: New → In Progress
Changed in hicolor-icon-theme (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Fix Released
Changed in hicolor-icon-theme (Ubuntu Bionic):
status: New → Fix Released
Changed in hicolor-icon-theme (Ubuntu Xenial):
status: New → In Progress
Brian Murray (brian-murray) wrote :
Changed in xpdf (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → Medium
status: New → In Progress
Changed in xpdf (Ubuntu):
assignee: Brian Murray (brian-murray) → nobody
Changed in mate-icon-theme (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Fix Released
Changed in mate-icon-theme (Ubuntu Bionic):
status: New → Fix Released
Changed in mate-icon-theme (Ubuntu Xenial):
status: New → In Progress
Dmitry Shachnev (mitya57) wrote :

Sphinx in cosmic no longer uses triggers. Sphinx in bionic uses interest-noawait.

Changed in sphinx (Ubuntu):
status: New → Fix Released
Changed in sphinx (Ubuntu Bionic):
status: New → Fix Released
Changed in sphinx (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
importance: Undecided → Medium
status: New → In Progress
Changed in tex-common (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in tex-common (Ubuntu):
status: New → Fix Released
Changed in tex-common (Ubuntu Bionic):
status: New → Fix Released
Changed in tex-common (Ubuntu Xenial):
status: New → In Progress
Brian Murray (brian-murray) wrote :

Here's the yorick upstream change:

https://salsa.debian.org/science-team/yorick/commit/2266af43e759aee5c5f4afdf085c1bb23105412a

The important bit was just the trigger file.

Changed in yorick (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in yorick (Ubuntu):
status: New → Fix Released
Changed in gdk-pixbuf (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Fix Released
Changed in gdk-pixbuf (Ubuntu Bionic):
status: New → Fix Released
Changed in gdk-pixbuf (Ubuntu Xenial):
status: New → In Progress
Changed in shared-mime-info (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Fix Released
Changed in shared-mime-info (Ubuntu Bionic):
status: New → Fix Released
Changed in shared-mime-info (Ubuntu Xenial):
status: New → In Progress
Julian Andres Klode (juliank) wrote :

Turns out goopg was not affected, it does not exist in xenial.

no longer affects: goopg (Ubuntu)
no longer affects: goopg (Ubuntu Bionic)
no longer affects: goopg (Ubuntu Xenial)
Changed in packagekit (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Fix Released
Changed in packagekit (Ubuntu Bionic):
status: New → Fix Released
Changed in packagekit (Ubuntu Xenial):
status: New → In Progress
Changed in appstream (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in appstream (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in gdk-pixbuf (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in gdk-pixbuf (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in glib2.0 (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in glib2.0 (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in hicolor-icon-theme (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in hicolor-icon-theme (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in mate-icon-theme (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in mate-icon-theme (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in packagekit (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in packagekit (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
Changed in shared-mime-info (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
Changed in shared-mime-info (Ubuntu):
assignee: Julian Andres Klode (juliank) → nobody
tags: added: id-5b1169fb7c4ba277874d3879
Changed in octave (Ubuntu Xenial):
assignee: nobody → Brian Murray (brian-murray)
Changed in octave (Ubuntu):
status: New → Fix Released
Changed in octave (Ubuntu Bionic):
status: New → Fix Released
Changed in octave (Ubuntu Xenial):
status: New → In Progress
Changed in postgresql-common (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Triaged
Changed in postgresql-common (Ubuntu Bionic):
status: New → Fix Released
Changed in postgresql-common (Ubuntu):
status: New → Fix Released
Changed in postgresql-common (Ubuntu Xenial):
status: Triaged → In Progress
Changed in clutter-imcontext (Ubuntu):
status: New → Triaged
Changed in clutter-imcontext (Ubuntu Bionic):
status: New → Triaged
Changed in clutter-imcontext (Ubuntu Xenial):
status: New → Triaged
Changed in clutter-imcontext (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
Changed in gosa (Ubuntu):
assignee: nobody → Łukasz Zemczak (sil2100)
status: New → In Progress
Julian Andres Klode (juliank) wrote :

clutter-imcontext declares an interest on /usr/lib/clutter-imcontext/immodules, but no package ships files in there, so not fixing that in a stable release. Not sure about devel.

Changed in clutter-imcontext (Ubuntu Xenial):
status: Triaged → Won't Fix
Changed in clutter-imcontext (Ubuntu Bionic):
status: Triaged → Won't Fix
Changed in yorick (Ubuntu Bionic):
status: New → Fix Released
Changed in libreoffice (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
assignee: Julian Andres Klode (juliank) → nobody
Changed in dochelp (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
status: New → Triaged
Changed in dochelp (Ubuntu):
status: New → Fix Released
Changed in dochelp (Ubuntu Bionic):
status: New → Fix Released
Changed in dochelp (Ubuntu Xenial):
status: Triaged → In Progress
Changed in dovecot (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
status: New → In Progress
Changed in bumblebee (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
Changed in bumblebee (Ubuntu):
status: New → In Progress
Changed in maxima (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in neurodebian (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in nevow (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress

dovecot for cosmic and bionic already changed to noawait triggers by Debian maintainer.

Changed in dovecot (Ubuntu):
status: In Progress → Fix Released
Changed in dovecot (Ubuntu Bionic):
status: New → Fix Released
Changed in dovecot (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
status: New → In Progress
Changed in qgis (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in wokkel (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in syslog-ng-incubator (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Brian Murray (brian-murray) wrote :

wokkel needed fixing in both Ubuntu 16.04 and Ubuntu 18.04 although I can't add tasks for those releases.

Changed in ltsp (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in django-countries (Ubuntu):
assignee: nobody → Brian Murray (brian-murray)
status: New → In Progress
Changed in appstream (Ubuntu):
status: Fix Released → In Progress
status: In Progress → Fix Released
Changed in wokkel (Ubuntu Xenial):
status: New → In Progress
Changed in wokkel (Ubuntu Bionic):
status: New → In Progress
Changed in wokkel (Ubuntu):
status: In Progress → Fix Released
Changed in bumblebee (Ubuntu Xenial):
status: New → In Progress
Changed in django-countries (Ubuntu Xenial):
status: New → In Progress
Changed in maxima (Ubuntu Xenial):
status: New → In Progress
Changed in neurodebian (Ubuntu Xenial):
status: New → In Progress
Changed in nevow (Ubuntu Xenial):
status: New → In Progress
Changed in qgis (Ubuntu Xenial):
status: New → In Progress
Changed in syslog-ng-incubator (Ubuntu Xenial):
status: New → In Progress
Changed in bumblebee (Ubuntu):
status: In Progress → Fix Released
Changed in django-countries (Ubuntu):
status: In Progress → Fix Released
Changed in maxima (Ubuntu):
status: In Progress → Fix Released
Changed in neurodebian (Ubuntu):
status: In Progress → Fix Released
Changed in nevow (Ubuntu):
status: In Progress → Fix Released
Changed in qgis (Ubuntu):
status: In Progress → Fix Released
Changed in glib2.0 (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in syslog-ng-incubator (Ubuntu):
status: In Progress → Fix Released
Changed in bumblebee (Ubuntu Bionic):
status: New → Fix Released
Changed in django-countries (Ubuntu Bionic):
status: New → Fix Released
Changed in maxima (Ubuntu Bionic):
status: New → Fix Released
Changed in neurodebian (Ubuntu Bionic):
status: New → Fix Released
Changed in nevow (Ubuntu Bionic):
status: New → Fix Released
Changed in qgis (Ubuntu Bionic):
status: New → Fix Released
Changed in syslog-ng-incubator (Ubuntu Bionic):
status: New → Fix Released
Changed in ltsp (Ubuntu):
status: In Progress → Fix Released
Changed in ltsp (Ubuntu Bionic):
status: New → Fix Released
Changed in ltsp (Ubuntu Xenial):
status: New → In Progress

Hello Julian, or anyone else affected,

Accepted glib2.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.48.2-0ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted hicolor-icon-theme into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hicolor-icon-theme/0.15-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in hicolor-icon-theme (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in fusiondirectory (Ubuntu):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
status: New → In Progress
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted xpdf into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xpdf/3.04-1ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in xpdf (Ubuntu Xenial):
status: In Progress → Fix Committed
Angel Abad (angelabad) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fusiondirectory - 1.0.19-1ubuntu1

---------------
fusiondirectory (1.0.19-1ubuntu1) cosmic; urgency=medium

  * debian/fusiondirectory.triggers: Be specific about using interest-noawait
    for the triggers -- there's no need to block in awaiting the triggers for
    locale, plugins updates. (LP: #1780996)

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 12 Jul 2018 10:57:06 -0400

Changed in fusiondirectory (Ubuntu):
status: In Progress → Fix Released
Changed in fusiondirectory (Ubuntu Xenial):
assignee: nobody → Mathieu Trudel-Lapierre (cyphermox)
status: New → In Progress
Changed in fusiondirectory (Ubuntu Bionic):
status: New → In Progress
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted mate-icon-theme into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mate-icon-theme/1.12.0-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in mate-icon-theme (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted sphinx into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sphinx/1.3.6-2ubuntu1.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in sphinx (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted tex-common into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/tex-common/6.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in tex-common (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted yorick into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/yorick/2.2.04+dfsg1-5ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in yorick (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted gdk-pixbuf into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gdk-pixbuf/2.32.2-1ubuntu1.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gdk-pixbuf (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted shared-mime-info into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shared-mime-info/1.5-2ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in shared-mime-info (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted packagekit into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/packagekit/0.8.17-4ubuntu6~gcc5.4ubuntu1.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in packagekit (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in guile-2.0 (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
Changed in pike7.8 (Ubuntu):
status: New → Fix Released
Changed in pike7.8 (Ubuntu Bionic):
status: New → Fix Released
Changed in pike7.8 (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
status: New → In Progress
Changed in pike8.0 (Ubuntu):
status: New → Fix Released
Changed in pike8.0 (Ubuntu Bionic):
status: New → Fix Released
Changed in pike8.0 (Ubuntu Xenial):
assignee: nobody → Julian Andres Klode (juliank)
status: New → In Progress
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted wokkel into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wokkel/0.7.1-1ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wokkel (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Changed in reconf-inetd (Ubuntu):
status: New → Triaged
Changed in reconf-inetd (Ubuntu Xenial):
status: New → Triaged
Changed in reconf-inetd (Ubuntu Bionic):
status: New → Triaged
Changed in guile-2.0 (Ubuntu):
status: New → Triaged
Changed in guile-2.0 (Ubuntu Xenial):
status: New → Triaged
Changed in guile-2.0 (Ubuntu Bionic):
status: New → Triaged
Changed in libomxil-bellagio (Ubuntu):
status: New → Triaged
Changed in libomxil-bellagio (Ubuntu Xenial):
status: New → Triaged
Changed in libomxil-bellagio (Ubuntu Bionic):
status: New → Triaged
Julian Andres Klode (juliank) wrote :

Marking gosa as Won't fix, as newer versions moved to interest-await explicitly. The plugins depend on gosa, so the trigger being await is fine.

Changed in gosa (Ubuntu):
assignee: Łukasz Zemczak (sil2100) → nobody
status: In Progress → Won't Fix
Changed in gosa (Ubuntu Xenial):
status: New → Won't Fix
Changed in gosa (Ubuntu Bionic):
status: New → Won't Fix
Julian Andres Klode (juliank) wrote :

Nothing installs the files that trigger reconf-inetd, so not fixing that.

Changed in reconf-inetd (Ubuntu):
status: Triaged → Won't Fix
Changed in reconf-inetd (Ubuntu Bionic):
status: Triaged → Won't Fix
Changed in reconf-inetd (Ubuntu Xenial):
status: Triaged → Won't Fix
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted octave into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/octave/4.0.0-3ubuntu9.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in octave (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in postgresql-common (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted postgresql-common into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/postgresql-common/173ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted dochelp into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/dochelp/0.1.3ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in dochelp (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in bumblebee (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted bumblebee into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/bumblebee/3.2.1-10ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted maxima into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/maxima/5.37.2-8ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in maxima (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted glib2.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.48.2-0ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neurodebian (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted neurodebian into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/neurodebian/0.37.2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted nevow into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nevow/0.14.2-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nevow (Ubuntu Bionic):
status: Fix Released → Fix Committed
Changed in nevow (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted nevow into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nevow/0.13.0-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Julian Andres Klode (juliank) wrote :

guile-2.2 is also affected by these triggers, but probably not that urgent, as it's not in xenial and not used as much as 2.0 in bionic/cosmic.

Changed in guile-2.2 (Ubuntu):
status: New → Triaged
Changed in guile-2.2 (Ubuntu Xenial):
status: New → Triaged
Changed in guile-2.2 (Ubuntu Bionic):
status: New → Triaged
no longer affects: guile-2.2 (Ubuntu Xenial)
Changed in guile-2.0 (Ubuntu):
status: Triaged → In Progress
Changed in guile-2.0 (Ubuntu Xenial):
status: Triaged → In Progress
Changed in guile-2.0 (Ubuntu Bionic):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guile-2.0 - 2.0.13+1-5ubuntu1

---------------
guile-2.0 (2.0.13+1-5ubuntu1) cosmic; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <email address hidden> Tue, 17 Jul 2018 12:14:45 +0200

Changed in guile-2.0 (Ubuntu):
status: In Progress → Fix Released
Changed in guile-2.2 (Ubuntu):
status: Triaged → In Progress
Changed in guile-2.2 (Ubuntu Bionic):
status: Triaged → In Progress
Changed in guile-2.2 (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: In Progress → Fix Committed
Changed in libomxil-bellagio (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted nevow into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nevow/0.14.2-1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted fusiondirectory into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fusiondirectory/1.0.19-1ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fusiondirectory (Ubuntu Bionic):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted guile-2.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/guile-2.0/2.0.13+1-5ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in guile-2.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted guile-2.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/guile-2.0/2.0.11+1-10ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in guile-2.0 (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in fusiondirectory (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted fusiondirectory into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fusiondirectory/1.0.8.8-3ubuntu2.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in django-countries (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted django-countries into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/django-countries/3.4.1-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ltsp (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted ltsp into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/ltsp/5.5.7-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted wokkel into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wokkel/0.7.1-1ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in wokkel (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted qgis into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/qgis/2.8.6+dfsg-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in qgis (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in dovecot (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted dovecot into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/dovecot/1:2.2.22-1ubuntu2.8 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pike7.8 (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted pike7.8 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pike7.8/7.8.866-5ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted pike8.0 into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/pike8.0/8.0.164-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in pike8.0 (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted appstream into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/appstream/0.9.4-1ubuntu4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in appstream (Ubuntu Xenial):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guile-2.2 - 2.2.3+1-5ubuntu1

---------------
guile-2.2 (2.2.3+1-5ubuntu1) cosmic; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <email address hidden> Tue, 17 Jul 2018 15:42:59 +0200

Changed in guile-2.2 (Ubuntu):
status: Fix Committed → Fix Released
Julian Andres Klode (juliank) wrote :

I'm not convinced that noawait is the right choice for libomxil-bellagio-bin. The plugins are unusable without being registered. That said, nothing depends on libomxil-bellagio-bin now, so the trigger might never get run in the first place - switching to noawait does not make it any more fragile:

Assuming a package that depends on a plugin and makes use of it in the postinst, you currently do not get any guarantee that installing plugin foo will make plugin foo usable, unless you also depend on -bin. But if you depend on -bin anyway, the guarantee with noawait is the same, as the trigger for bin will have been processed before your package is configured.

Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted guile-2.2 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/guile-2.2/2.2.3+1-3ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in guile-2.2 (Ubuntu Bionic):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Just to see what would happen I installed a bunch of these packages on an Ubuntu 16.04 system w/o -proposed enabled, I then enabled -proposed and upgraded the packages without any issue.

I then modified DistUpgradeController.py in the u-r-u tarball so that -proposed would not be disabled during the upgrade process and upgraded to Ubuntu 18.04 without any issue.

Here's the list of packages I installed:

sudo apt install appstream bumblebee python3-django-countries dochelp dovecot-core fusiondirectory glib2.0 guile-2.0 hicolor-icon-theme ltsp-client neurodebian python-nevow octave packagekit pike7.8 pike8.0 shared-mime-info python3-sphinx postgresql-common tex-common python-wokkel xpdf yorick

Łukasz Zemczak (sil2100) wrote :

Hello Julian, or anyone else affected,

Accepted syslog-ng-incubator into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/syslog-ng-incubator/0.3.3-2ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in syslog-ng-incubator (Ubuntu Xenial):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

After some discussion with Brian on the SRU verification procedures for this bug, we decided that the upgrade test done in #51 is sufficient for verification of this bug. For syslog-ng-incubator the upgrade test was a bit more complicated due to it conflicting with ubuntu-minimal - so there's no good way to get it tested anyway.

Let's mark this as good to go.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hicolor-icon-theme - 0.15-0ubuntu1.1

---------------
hicolor-icon-theme (0.15-0ubuntu1.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Tue, 10 Jul 2018 18:21:37 +0200

Changed in hicolor-icon-theme (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xpdf - 3.04-1ubuntu1.1

---------------
xpdf (3.04-1ubuntu1.1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Tue, 10 Jul 2018 09:23:36 -0700

Changed in xpdf (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tex-common - 6.04ubuntu1

---------------
tex-common (6.04ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Tue, 10 Jul 2018 11:45:32 -0700

Changed in tex-common (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package packagekit - 0.8.17-4ubuntu6~gcc5.4ubuntu1.3

---------------
packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1.3) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Tue, 10 Jul 2018 22:18:21 +0200

Changed in packagekit (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package octave - 4.0.0-3ubuntu9.2

---------------
octave (4.0.0-3ubuntu9.2) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 07:57:34 -0700

Changed in octave (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bumblebee - 3.2.1-10ubuntu1

---------------
bumblebee (3.2.1-10ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 09:46:46 -0700

Changed in bumblebee (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neurodebian - 0.37.2ubuntu1

---------------
neurodebian (0.37.2ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 11:21:29 -0700

Changed in neurodebian (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nevow - 0.13.0-1ubuntu1

---------------
nevow (0.13.0-1ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 11:28:21 -0700

Changed in nevow (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package django-countries - 3.4.1-2ubuntu1

---------------
django-countries (3.4.1-2ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 15:14:42 -0700

Changed in django-countries (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package yorick - 2.2.04+dfsg1-5ubuntu1

---------------
yorick (2.2.04+dfsg1-5ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Tue, 10 Jul 2018 12:04:31 -0700

Changed in yorick (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wokkel - 0.7.1-1ubuntu0.16.04.1

---------------
wokkel (0.7.1-1ubuntu0.16.04.1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 13:59:50 -0700

Changed in wokkel (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qgis - 2.8.6+dfsg-1ubuntu1

---------------
qgis (2.8.6+dfsg-1ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 13:08:14 -0700

Changed in qgis (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dovecot - 1:2.2.22-1ubuntu2.8

---------------
dovecot (1:2.2.22-1ubuntu2.8) xenial; urgency=medium

  * debian/*.triggers: change triggers to -noawait variety: there is no need
    for awaited triggers for the restarting of dovecot. (LP: #1780996)

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 11 Jul 2018 14:48:37 -0400

Changed in dovecot (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package syslog-ng-incubator - 0.3.3-2ubuntu1

---------------
syslog-ng-incubator (0.3.3-2ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 13:47:22 -0700

Changed in syslog-ng-incubator (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mate-icon-theme - 1.12.0-1ubuntu0.1

---------------
mate-icon-theme (1.12.0-1ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Tue, 10 Jul 2018 18:43:03 +0200

Changed in mate-icon-theme (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fusiondirectory - 1.0.8.8-3ubuntu2.16.04.1

---------------
fusiondirectory (1.0.8.8-3ubuntu2.16.04.1) xenial; urgency=medium

  * debian/fusiondirectory.triggers: Be specific about using interest-noawait
    for the triggers -- there's no need to block in awaiting the triggers for
    locale, plugins updates. (LP: #1780996)

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 12 Jul 2018 17:03:01 -0400

Changed in fusiondirectory (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ltsp - 5.5.7-1ubuntu1

---------------
ltsp (5.5.7-1ubuntu1) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 15:03:51 -0700

Changed in ltsp (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dochelp - 0.1.3ubuntu0.1

---------------
dochelp (0.1.3ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - packages registering docs
    with doc-base really should not have to wait for dochelp to be configured.

 -- Julian Andres Klode <email address hidden> Wed, 11 Jul 2018 17:43:18 +0200

Changed in dochelp (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pike8.0 - 8.0.164-1ubuntu0.1

---------------
pike8.0 (8.0.164-1ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - the trigger is only building
    a cache, pike uses the source otherwise, so it's safe to have stuff not
    wait for it.

 -- Julian Andres Klode <email address hidden> Mon, 16 Jul 2018 11:06:27 +0200

Changed in pike8.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package appstream - 0.9.4-1ubuntu4

---------------
appstream (0.9.4-1ubuntu4) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - packages installing app-info
    should not have to wait for appstream to be configured.

 -- Julian Andres Klode <email address hidden> Fri, 13 Jul 2018 10:46:30 +0200

Changed in appstream (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guile-2.0 - 2.0.11+1-10ubuntu0.1

---------------
guile-2.0 (2.0.11+1-10ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <email address hidden> Tue, 17 Jul 2018 12:14:45 +0200

Changed in guile-2.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pike7.8 - 7.8.866-5ubuntu0.1

---------------
pike7.8 (7.8.866-5ubuntu0.1) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996) - the trigger is only building
    a cache, pike uses the source otherwise, so it's safe to have stuff not
    wait for it.

 -- Julian Andres Klode <email address hidden> Mon, 16 Jul 2018 10:58:28 +0200

Changed in pike7.8 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sphinx - 1.3.6-2ubuntu1.2

---------------
sphinx (1.3.6-2ubuntu1.2) xenial; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Tue, 10 Jul 2018 10:40:01 -0700

Changed in sphinx (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package postgresql-common - 173ubuntu0.2

---------------
postgresql-common (173ubuntu0.2) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Wed, 11 Jul 2018 17:13:21 +0200

Changed in postgresql-common (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shared-mime-info - 1.5-2ubuntu0.2

---------------
shared-mime-info (1.5-2ubuntu0.2) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Tue, 10 Jul 2018 21:51:20 +0200

Changed in shared-mime-info (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.48.2-0ubuntu3

---------------
glib2.0 (2.48.2-0ubuntu3) xenial; urgency=medium

  * tests-gdatetime-Use-a-real-rather-than-invented-timezone.patch:
    Cherry-pick upstream fix to make glib2.0 build again and tests
    run again with time zone changes.

glib2.0 (2.48.2-0ubuntu2) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Mon, 16 Jul 2018 11:56:58 +0200

Changed in glib2.0 (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdk-pixbuf - 2.32.2-1ubuntu1.5

---------------
gdk-pixbuf (2.32.2-1ubuntu1.5) xenial; urgency=medium

  * Convert triggers to noawait (LP: #1780996)

 -- Julian Andres Klode <email address hidden> Tue, 10 Jul 2018 21:47:55 +0200

Changed in gdk-pixbuf (Ubuntu Xenial):
status: Fix Committed → Fix Released
Sebastien Bacher (seb128) wrote :

the glib SRU seems to create issues, see bug #1784065 "triggers ci file contains unknown directive `interest-await'"

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fusiondirectory - 1.0.19-1ubuntu0.18.04.1

---------------
fusiondirectory (1.0.19-1ubuntu0.18.04.1) bionic; urgency=medium

  * debian/fusiondirectory.triggers: Be specific about using interest-noawait
    for the triggers -- there's no need to block in awaiting the triggers for
    locale, plugins updates. (LP: #1780996)

 -- Mathieu Trudel-Lapierre <email address hidden> Thu, 12 Jul 2018 16:55:25 -0400

Changed in fusiondirectory (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guile-2.2 - 2.2.3+1-3ubuntu0.1

---------------
guile-2.2 (2.2.3+1-3ubuntu0.1) bionic; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <email address hidden> Tue, 17 Jul 2018 15:42:59 +0200

Changed in guile-2.2 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wokkel - 0.7.1-1ubuntu0.18.04.1

---------------
wokkel (0.7.1-1ubuntu0.18.04.1) bionic; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Wed, 11 Jul 2018 13:59:50 -0700

Changed in wokkel (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nevow - 0.14.2-1ubuntu2

---------------
nevow (0.14.2-1ubuntu2) bionic; urgency=medium

  * use pybuild --print build_dir instead of hadrcoding pybuild's internal
    paths, fixes FTBFS.

nevow (0.14.2-1ubuntu1) bionic; urgency=medium

  * Convert trigger to noawait (LP: #1780996)

 -- Brian Murray <email address hidden> Tue, 17 Jul 2018 09:15:21 -0700

Changed in nevow (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package guile-2.0 - 2.0.13+1-5ubuntu0.1

---------------
guile-2.0 (2.0.13+1-5ubuntu0.1) bionic; urgency=medium

  * Convert triggers to noawait (LP: #1780996) (Closes: #903915)
    - the trigger is supposed to register slib with guile-2.0 but the
      registration is a no-op, so it's completely safe to make it noawait.

 -- Julian Andres Klode <email address hidden> Tue, 17 Jul 2018 12:14:45 +0200

Changed in guile-2.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in libreoffice (Ubuntu Xenial):
assignee: nobody → Olivier Tilloy (osomon)
Olivier Tilloy (osomon) on 2018-08-03
Changed in libreoffice (Ubuntu Xenial):
status: Triaged → In Progress
Brian Murray (brian-murray) wrote :

Hello Julian, or anyone else affected,

Accepted libreoffice into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:5.1.6~rc2-0ubuntu1~xenial4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in libreoffice (Ubuntu Xenial):
status: In Progress → Fix Committed
Olivier Tilloy (osomon) wrote :

I successfully tested libreoffice in xenial-proposed (libreoffice/1:5.1.6~rc2-0ubuntu1~xenial4) with the instructions in comment #51 (xenial ➞ xenial-proposed ➞ upgrade to bionic without disabling -proposed).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:5.1.6~rc2-0ubuntu1~xenial4

---------------
libreoffice (1:5.1.6~rc2-0ubuntu1~xenial4) xenial; urgency=medium

  * debian/libreoffice-mysql-connector.triggers.in,
    debian/libreoffice-wiki-publisher.triggers.in:
    - removed, file path triggers do not need to be activated explicitly
  * debian/libreoffice-common.triggers.in: switch to -noawait trigger
    (LP: #1780996)

 -- Olivier Tilloy <email address hidden> Fri, 03 Aug 2018 13:00:22 +0200

Changed in libreoffice (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers